import 'source-map-support/register';
import { Context } from 'koishi';
import { MyPluginConfig, MyPluginConfigLike } from './config';
import { schemaTransform } from 'koishi-utils-schemagen';

export class MyPlugin {
  config: MyPluginConfig;
  constructor(private ctx: Context, _config: MyPluginConfigLike) {
    this.config = schemaTransform(MyPluginConfig, _config);
  }
}
